<%@include file="/WEB-INF/jspf/page-non-authenticated.jspf" %>

<%--
  ~ Copyright (c) 2011-2014 QuartzDesk.com. All Rights Reserved.
  ~ QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
  --%>

<html>
  <head>
    <title>${actionBean.appTitle}</title>

    <link rel="shortcut icon"
          href="${pageContext.request.contextPath}/favicon.ico"/>

    <link rel="stylesheet" type="text/css"
          href="${pageContext.request.contextPath}/js/extjs/resources/css/ext-all.css"/>

    <link rel="stylesheet" type="text/css"
          href="${pageContext.request.contextPath}/css/qdesk/qdesk-all.css"/>

    <link rel="stylesheet" type="text/css"
          href="${pageContext.request.contextPath}/css/qdesk/extjs-fixes.css"/>

    <%--
      This loads ext-all-debug.js in debug mode (i.e. either on the localhost, or if a debug parameter
      is specified). Otherwise it loads the production ext-all.js file.
    --%>
    <script type="text/javascript"
            src="${pageContext.request.contextPath}/js/extjs/bootstrap.js"></script>

    <%-- This loads individual ExtJS classes on demand rather then all ExtJS classes at once. --%>
    <!-- <script type="text/javascript" src="${pageContext.request.contextPath}/js/extjs/ext-debug.js"></script> -->

    <%-- ExtJS localization files --%>
    <c:if test="${not empty actionBean.extJsLangPath}">
      <script type="text/javascript"
              src="${pageContext.request.contextPath}${actionBean.extJsLangPath}"></script>
    </c:if>

    <%-- ExtJS Plugins & Extensions --%>

    <%--
      CheckColumn plugin - checkbox column for grids.
      Source: Modified original at <EXTJS_HOME>/examples/ux/CheckColumn.js.
        Added support for 'editable' config option.
    --%>
    <link rel="stylesheet" type="text/css"
          href="${pageContext.request.contextPath}/css/extjs/ux/CheckColumn/CheckColumn.css"/>
    <script type="text/javascript"
            src="${pageContext.request.contextPath}/js/extjs/ux/CheckColumn.js"></script>

    <%--
      Center layout plugin - centers components to the center.
      Source: <EXTJS_HOME>/examples/ux/layout/Center.js
    --%>
    <script type="text/javascript"
            src="${pageContext.request.contextPath}/js/extjs/ux/layout/Center.js"></script>

    <%--
      ClearableCombo plugin - standard ExjJS combo with a clear icon button next to it.
      Source: Modified original version at http://www.learnsomethings.com/2011/09/30/extjs-4-clearable-combobox-ala-twintriggers-example/
    --%>
    <script type="text/javascript"
            src="${pageContext.request.contextPath}/js/extjs/ux/form/ClearableCombo.js"></script>

    <%--
      AdvancedColorPicker plugin -
      Source: Modified original version at http://www.sencha.com/forum/showthread.php?134576-Ext.ux.AdvancedColorPicker
    --%>
    <link rel="stylesheet" type="text/css"
          href="${pageContext.request.contextPath}/css/extjs/ux/AdvancedColorPicker/AdvancedColorPicker.css"/>
    <script type="text/javascript"
            src="${pageContext.request.contextPath}/js/extjs/ux/form/ColorPickerField.js"></script>
    <script type="text/javascript"
            src="${pageContext.request.contextPath}/js/extjs/ux/AdvancedColorPicker.js"></script>

    <%--
      ParamsSubmit plugin - a form submit action that gives the user total control over the
      parameters sent during form submit.
    --%>
    <script type="text/javascript"
            src="${pageContext.request.contextPath}/js/extjs/ux/ParamsSubmit.js"></script>

    <%--
      GroupingCombo plugin - standard ExjJS combo with support of optgroup-like elements. Based on the
      idea presented at http://www.sencha.com/forum/showthread.php?159356-Optgroups%28Category-Headings%29-in-Combobox
    --%>
    <link rel="stylesheet" type="text/css"
          href="${pageContext.request.contextPath}/css/extjs/ux/form/GroupingCombo/GroupingCombo.css"/>
    <script type="text/javascript"
            src="${pageContext.request.contextPath}/js/extjs/ux/form/GroupingCombo.js"></script>

    <%--
      IconCombo plugin - standard ExjJS combo with a clear icon button next to it.
      Source: Modified original version at http://www.learnsomethings.com/2011/09/30/extjs-4-clearable-combobox-ala-twintriggers-example/
    --%>
    <link rel="stylesheet" type="text/css"
          href="${pageContext.request.contextPath}/css/extjs/ux/form/IconCombo/IconCombo.css"/>
    <script type="text/javascript"
            src="${pageContext.request.contextPath}/js/extjs/ux/form/IconCombo.js"></script>

    <%--
      TreeIconCombo plugin - an icon combo that uses a tree panel picker.
    --%>
    <link rel="stylesheet" type="text/css"
          href="${pageContext.request.contextPath}/css/extjs/ux/form/TreeIconCombo/TreeIconCombo.css"/>
    <script type="text/javascript"
            src="${pageContext.request.contextPath}/js/extjs/ux/form/TreeIconCombo.js"></script>

    <%--
      DateTime component - combines a datefield and timefield in a single component.
      Source: Modified original at https://github.com/zombeerose/DateTime
    --%>
    <script type="text/javascript"
            src="${pageContext.request.contextPath}/js/extjs/ux/form/field/DateTime.js"></script>

    <%-- QuartzDesk Application --%>
    <script type="text/javascript"
            src="${pageContext.request.contextPath}/js/qdesk/app.js"></script>


    <%-- CSS stylesheet with OEM style overrides --%>
    <link rel="stylesheet" type="text/css"
          href="${pageContext.request.contextPath}/css/oem.css"/>

  </head>

  <body>
    <noscript>
      <center>
        <fmt:message key="/index.jsp.noScriptMsg"/>
      </center>
    </noscript>
  </body>
</html>