/*
 * Copyright (c) 2011-2014 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * Clearable combo box based on the code extracted from
 * http://www.learnsomethings.com/2011/09/30/extjs-4-clearable-combobox-ala-twintriggers-example/
 */
Ext.define( 'Ext.ux.form.ClearableCombo', {
  extend: 'Ext.form.field.ComboBox',

  alias: 'widget.xcombo',

  trigger1Class: 'x-form-select-trigger',

  trigger2Class: 'x-form-clear-trigger',

  triggerWidth: 34,  // by default set to 17px!!!

  onRender: function ( ct, position )
  {
    var me = this;

    me.callParent( arguments );

    var id = me.getId();

    var imgStyle = 'position: relative; top: 1px;';
    if ( Ext.isIE )
      imgStyle += ' height: 21px';

    var triggerConfig = {
      tag: 'div',
      cls: 'x-form-twin-triggers',
      style: 'display:block;width:34px;',
      cn: [
        {
          tag: "img",
          //style: Ext.isIE ? 'margin-left:-3px; height:19px' : 'position: relative; top: 1px;',
          style: imgStyle,
          src: Ext.BLANK_IMAGE_URL,
          id: "trigger1" + id,
          name: "trigger1" + id,
          cls: "x-form-trigger " + me.trigger1Class
        },
        {
          tag: "img",
          //style: Ext.isIE ? 'margin-left:-6px; height:19px' : 'position: relative; top: 1px;',
          style: imgStyle,
          src: Ext.BLANK_IMAGE_URL,
          id: "trigger2" + id,
          name: "trigger2" + id,
          cls: "x-form-trigger " + me.trigger2Class
        }
      ]};

    me.triggerEl.replaceWith( triggerConfig );

    me.triggerEl.on( 'mouseup', function ( e )
        {
          if ( e.target.name == "trigger1" + id )
          {
            me.onTriggerClick();
          }
        },
        me );

    me.triggerEl.on( 'click', function ( e )
        {
          if ( e.target.name == "trigger2" + id )
          {
            me.reset();
          }
        },
        me );

    Ext.get( "trigger1" + id ).addClsOnOver( 'x-form-trigger-over' );
    Ext.get( "trigger2" + id ).addClsOnOver( 'x-form-trigger-over' );
  }
} );
