/*
 * Copyright (c) 2011-2014 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.store.ConnectionsTreeStore', {
  extend : 'Ext.data.TreeStore',

  requires : [
    'QDesk.model.ConnectionsTreeNode',
    'QDesk.util.constant.ActionUrl'
  ],

  storeId : 'ConnectionsTreeStore',

  model : 'QDesk.model.ConnectionsTreeNode',

  proxy : {
    type : 'ajax',

    url : QDesk.util.constant.ActionUrl.emptyStoreAction, /* URL replaced in ConnectionsTreeController on app launch */

    reader : {
      type : 'json',
      root : 'data',
      idProperty : 'id',
      successProperty : 'success'
    },

    // Don't want to include these params in request
    pageParam : undefined,
    startParam : undefined,
    limitParam : undefined,
    sortParam : undefined,
    directionParam : undefined,
    filterParam : undefined,
    groupParam : undefined
  }
} );
