/*
 * Copyright (c) 2011-2014 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.store.enums.ExecNotificationRuleConditionTypeStore', {
  extend: 'Ext.data.Store',

  requires: [
    'QDesk.enums.ExecNotificationRuleConditionType',
    'QDesk.util.EnumUtils'
  ],

  storeId: 'enums.ExecNotificationRuleConditionTypeStore',

  fields: ['value', 'valueLabel'],

  constructor: function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      data: [
        {
          value: QDesk.enums.ExecNotificationRuleConditionType.EXEC_STATUS,
          valueLabel: QDesk.util.EnumUtils.getExecNotificationRuleConditionTypeName( QDesk.enums.ExecNotificationRuleConditionType.EXEC_STATUS )
        },
        {
          value: QDesk.enums.ExecNotificationRuleConditionType.MAX_DURATION,
          valueLabel: QDesk.util.EnumUtils.getExecNotificationRuleConditionTypeName( QDesk.enums.ExecNotificationRuleConditionType.MAX_DURATION )
        },
        {
          value: QDesk.enums.ExecNotificationRuleConditionType.EXPRESSION,
          valueLabel: QDesk.util.EnumUtils.getExecNotificationRuleConditionTypeName( QDesk.enums.ExecNotificationRuleConditionType.EXPRESSION )
        }
      ]
    } );

    me.callParent( [config] );
  }
} );