/*
 * Copyright (c) 2011-2014 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.store.quartz.JobDetailStore', {
  extend : 'Ext.data.Store',

  requires : [
    'QDesk.model.quartz.JobDetail',
    'QDesk.util.constant.ActionUrl'
  ],

  model : 'QDesk.model.quartz.JobDetail',

  /* Server-side filtering */
  remoteFilter : true,

  /* Server-side sorting */
  remoteSort : true,

  /* Initial sort */
  sorters : [
    {
      property : 'name',
      direction : 'ASC'
    }
  ],

  proxy : {
    type : 'ajax',

    url : QDesk.util.constant.ActionUrl.quartz.jobActionList,

    reader : {
      type : 'json',
      root : 'data',
      successProperty : 'success',
      idProperty : 'id',
      totalProperty : 'total'
    },

    /* Disables paging */
    pageParam : undefined,
    startParam : undefined,
    limitParam : undefined
  }
} );
