/*
 * Copyright (c) 2011-2014 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * QDesk configuration singleton that encapsulates action URLs.
 */
Ext.define( 'QDesk.util.constant.ActionUrl', {

  singleton : true,

  emptyStoreAction : 'common/extjs/EmptyStore.action',

  svgActionPrepare : 'SaveSvg.action?prepare=',
  svgActionDownload : 'SaveSvg.action?download=',

  saveLogActionPrepare : 'SaveLog.action?prepare=',
  saveLogActionDownload : 'SaveLog.action?download=',

  aboutActionData : 'About.action?data=',

  localeActionLocales : 'locale/Locale.action?locales=',
  localeActionSwitch : 'locale/Locale.action?switch=',

  configActionSaveChanges : 'config/Config.action?saveChanges=',
  configActionSaveGridConfig : 'config/Config.action?saveGridConfig=',

  connectionActionTree : 'connection/ConnectionTree.action?tree=',

  // connection actions
  schedulerConnectionActionAddConnection : 'connection/SchedulerConnection.action?addConnection=',
  schedulerConnectionActionGetConnection : 'connection/SchedulerConnection.action?getConnection=',
  schedulerConnectionActionUpdateConnection : 'connection/SchedulerConnection.action?updateConnection=',
  schedulerConnectionActionDeleteConnection : 'connection/SchedulerConnection.action?deleteConnection=',
  schedulerConnectionActionMoveConnection : 'connection/SchedulerConnection.action?moveConnection=',
  // folder actions
  schedulerConnectionActionAddFolder : 'connection/SchedulerConnection.action?addFolder=',
  schedulerConnectionActionUpdateFolder : 'connection/SchedulerConnection.action?updateFolder=',
  schedulerConnectionActionDeleteFolder : 'connection/SchedulerConnection.action?deleteFolder=',
  schedulerConnectionActionMoveFolder : 'connection/SchedulerConnection.action?moveFolder=',

  // message actions
  messageActionListForCreator : 'message/Message.action?listForCreator=',
  messageActionDownloadAttachment : 'message/Message.action?downloadAttachment=',

  // message channel actions
  messageChannelActionTest : 'message/MessageChannel.action?test=',

  // message channel profile action
  messageChannelProfileActionTree : 'message/MessageChannelProfile.action?tree=',
  messageChannelProfileActionGetProfile : 'message/MessageChannelProfile.action?getProfile=',
  messageChannelProfileActionAddProfile : 'message/MessageChannelProfile.action?addProfile=',
  messageChannelProfileActionDeleteProfile : 'message/MessageChannelProfile.action?deleteProfile=',
  messageChannelProfileActionMoveProfile : 'message/MessageChannelProfile.action?moveProfile=',
  messageChannelProfileActionUpdateProfile : 'message/MessageChannelProfile.action?updateProfile=',
  messageChannelProfileActionSendTestMessage : 'message/MessageChannelProfile.action?sendTestMessage=',

  messageChannelProfileActionAddFolder : 'message/MessageChannelProfile.action?addFolder=',
  messageChannelProfileActionDeleteFolder : 'message/MessageChannelProfile.action?deleteFolder=',
  messageChannelProfileActionMoveFolder : 'message/MessageChannelProfile.action?moveFolder=',
  messageChannelProfileActionUpdateFolder : 'message/MessageChannelProfile.action?updateFolder=',

  localSkypeInstallationActionCheck : 'message/LocalSkypeInstallation.action?check=',
  snmpGenerateMib : 'message/Snmp.action?generateMib=',

  commonSchedulerActionStart : 'scheduler/Scheduler.action?start=',
  commonSchedulerActionPause : 'scheduler/Scheduler.action?pause=',
  commonSchedulerActionStop : 'scheduler/Scheduler.action?stop=',

  commonSchedulerActionDiscover : 'scheduler/Scheduler.action?discover=',
  commonSchedulerActionTest : 'scheduler/Scheduler.action?test=',

  commonSchedulerActionAgentInfo : 'scheduler/Scheduler.action?agentInfo=',
  commonSchedulerActionInfo : 'scheduler/Scheduler.action?info=',

  licenseActionV10Info : 'license/v1_0/License.action?info=',
  licenseActionV10GeneralInfoTree : 'license/v1_0/License.action?generalInfoTree=',
  licenseActionV10FeaturesInfoTree : 'license/v1_0/License.action?featuresInfoTree=',

  /*
   * Quartz scheduler specific configuration properties.
   */
  quartz : {
    calendarActionList : 'scheduler/quartz/Calendar.action?list=',

    infoActionInfo : 'scheduler/quartz/Info.action?info=',

    /*
     * Job related actions.
     */
    jobActionList : 'scheduler/quartz/Job.action?list=',
    jobActionTrigger : 'scheduler/quartz/Job.action?trigger=',
    jobActionAdd : 'scheduler/quartz/Job.action?add=',
    jobActionUpdate : 'scheduler/quartz/Job.action?update=',
    jobActionDelete : 'scheduler/quartz/Job.action?delete=',
    jobActionInterrupt : 'scheduler/quartz/Job.action?interrupt=',

    jobActionListExecuting : 'scheduler/quartz/Job.action?listExecuting=',

    jobGroupActionList : 'scheduler/quartz/JobGroup.action?list=',
    jobGroupActionResume : 'scheduler/quartz/JobGroup.action?resume=',
    jobGroupActionPause : 'scheduler/quartz/JobGroup.action?pause=',

    /*
     * Trigger related actions.
     */
    triggerActionListForJob : 'scheduler/quartz/Trigger.action?listForJob=',
    triggerActionList : 'scheduler/quartz/Trigger.action?list=',
    triggerActionResume : 'scheduler/quartz/Trigger.action?resume=',
    triggerActionPause : 'scheduler/quartz/Trigger.action?pause=',
    triggerActionAdd : 'scheduler/quartz/Trigger.action?add=',
    triggerActionUpdate : 'scheduler/quartz/Trigger.action?update=',
    triggerActionDelete : 'scheduler/quartz/Trigger.action?delete=',

    triggerGroupActionList : 'scheduler/quartz/TriggerGroup.action?list=',
    triggerGroupActionListForJob : 'scheduler/quartz/TriggerGroup.action?listForJob=',
    triggerGroupActionResume : 'scheduler/quartz/TriggerGroup.action?resume=',
    triggerGroupActionPause : 'scheduler/quartz/TriggerGroup.action?pause=',

    /*
     * Job execution related actions.
     */
    execHistoryActionListForScheduler : 'scheduler/quartz/ExecHistory.action?listForScheduler=',
    execHistoryActionListForJob : 'scheduler/quartz/ExecHistory.action?listForJob=',
    execHistoryActionListForTrigger : 'scheduler/quartz/ExecHistory.action?listForTrigger=',
    execHistoryActionResult : 'scheduler/quartz/ExecHistory.action?result=',
    execHistoryActionUserData : 'scheduler/quartz/ExecHistory.action?userData=',
    execHistoryActionLog : 'scheduler/quartz/ExecHistory.action?log=',
    execHistoryActionExecutingJobLog : 'scheduler/quartz/ExecHistory.action?executingJobLog=',

    /*
     * Execution notification rule related actions.
     */
    execNotificationRuleActionListForScheduler : 'scheduler/quartz/notif/exec/ExecNotificationRule.action?listForScheduler=',
    execNotificationRuleActionListForJob : 'scheduler/quartz/notif/exec/ExecNotificationRule.action?listForJob=',
    execNotificationRuleActionListForTrigger : 'scheduler/quartz/notif/exec/ExecNotificationRule.action?listForTrigger=',
    execNotificationRuleActionGet : 'scheduler/quartz/notif/exec/ExecNotificationRule.action?get=',
    execNotificationRuleActionAdd : 'scheduler/quartz/notif/exec/ExecNotificationRule.action?add=',
    execNotificationRuleActionUpdate : 'scheduler/quartz/notif/exec/ExecNotificationRule.action?update=',
    execNotificationRuleActionDelete : 'scheduler/quartz/notif/exec/ExecNotificationRule.action?delete=',

    execNotificationRuleSendTestMessageActionTest : 'scheduler/quartz/notif/exec/SendTestMessage.action?test=',

    /*
     * Statistics related actions.
     */
    jobStatisticsActionListPeriods : 'scheduler/quartz/stats/JobStatistics.action?listPeriods=',
    jobStatisticsActionChartData : 'scheduler/quartz/stats/JobStatistics.action?chartData=',

    triggerStatisticsActionListPeriods : 'scheduler/quartz/stats/TriggerStatistics.action?listPeriods=',
    triggerStatisticsActionChartData : 'scheduler/quartz/stats/TriggerStatistics.action?chartData=',

    schedulerStatisticsActionListPeriods : 'scheduler/quartz/stats/SchedulerStatistics.action?listPeriods=',
    schedulerStatisticsActionChartData : 'scheduler/quartz/stats/SchedulerStatistics.action?chartData='
  }
} );
