/*
 * Copyright (c) 2011-2014 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * QDesk configuration singleton that provides access to the application configuration data.
 */
Ext.define( 'QDesk.util.constant.DateFormat', {

  singleton : true,

  /**
   * Format used to parse and render date values.
   * 'Y-m-d' -> '2012-01-25'
   */
  dateFormat : 'Y-m-d',

  /**
   * Format used to parse and render timestamp values.
   * 'c' (ISO 8601 format) -> '2012-01-25T14:48:08.000+0000'
   */
  timestampFormatIso8601 : 'c',

  /**
   * Format used to parse and render timestamp values.
   * 'Y-m-d H:i:s.u T' -> '2012-01-25 15:48:08.000 CEST'
   */
  timestampFormatLong : 'Y-m-d H:i:s.u T',

  /**
   * Format used to parse and render time values.
   * 'H:i' -> '15:48'
   */
  timeFormatShort : 'H:i',

  /**
   * Format used to parse and render time values.
   * 'H:i:s' -> '15:48:08'
   */
  timeFormatMedium : 'H:i:s',

  /**
   * Format used to parse and render time values.
   * 'H:i:s.u' -> '15:48:08.000'
   */
  timeFormatLong : 'H:i:s.u',

  /**
   * Format used to parse and render com.quartzdesk.domain.type.DayTime values.
   * 'H:i:s' -> '15:48:08'
   */
  dayTimeFormat : 'H:i:s'
} );
