/*
 * Copyright (c) 2011-2014 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.main.message.channel.snmp.SnmpV1TrapBasicPanel', {
  extend : 'Ext.panel.Panel',

  requires : [
    'QDesk.Msg',
    'QDesk.Properties',
    'QDesk.controller.command.message.channel.snmp.GenerateMib',
    'QDesk.enums.message.MessageChannel'
  ],

  alias : 'widget.SnmpV1TrapBasicPanel',

  border : false,

  layout : 'anchor',

  defaults : {
    anchor : '100%',
    labelWidth : 90
  },

  title : QDesk.Msg.get( 'QDesk.view.main.message.channel.snmp.SnmpV1TrapBasicPanel.tabLabelBasic' ),

  items : [
    {
      xtype : 'textfield',
      itemId : 'host',
      name : 'host',
      fieldLabel : QDesk.Msg.get( 'QDesk.view.main.message.channel.snmp.SnmpV1TrapBasicPanel.fieldLabelHost' ),
      emptyText : QDesk.Msg.get( 'QDesk.view.main.message.channel.snmp.SnmpV1TrapBasicPanel.fieldEmptyTxtHost' ),
      allowBlank : false,
      qdesk : {
        required : true
      }
    },

    {
      xtype : 'numberfield',
      itemId : 'port',
      name : 'port',
      fieldLabel : QDesk.Msg.get( 'QDesk.view.main.message.channel.snmp.SnmpV1TrapBasicPanel.fieldLabelPort' ),
      emptyText : QDesk.Msg.get( 'QDesk.view.main.message.channel.snmp.SnmpV1TrapBasicPanel.fieldEmptyTxtPort' ),
      value : 162, /* default SNMP UDP port */
      minValue : 1,
      maxValue : 65535,
      anchor : '60%',
      allowBlank : false,
      qdesk : {
        required : true
      }
    },

    {
      xtype : 'textfield',
      itemId : 'community',
      name : 'community',
      fieldLabel : QDesk.Msg.get( 'QDesk.view.main.message.channel.snmp.SnmpV1TrapBasicPanel.fieldLabelCommunity' ),
      emptyText : QDesk.Msg.get( 'QDesk.view.main.message.channel.snmp.SnmpV1TrapBasicPanel.fieldEmptyTxtCommunity' ),
      value : 'public', /* default community value */
      allowBlank : false,
      qdesk : {
        required : true
      }
    },

    {
      xtype : 'textfield',
      itemId : 'enterpriseOid',
      name : 'enterpriseOid',
      fieldLabel : QDesk.Msg.get( 'QDesk.view.main.message.channel.snmp.SnmpV1TrapBasicPanel.fieldLabelEnterpriseOid' ),
      emptyText : QDesk.Msg.get( 'QDesk.view.main.message.channel.snmp.SnmpV1TrapBasicPanel.fieldEmptyTxtEnterpriseOid' ),
      value : QDesk.Properties.get( 'oid.enterprise' ),
      allowBlank : false,
      readOnly : true,
      cls: 'readOnly',
      qdesk : {
        required : true
      }
    },

    {
      xtype : 'numberfield',
      itemId : 'specificTrap',
      name : 'specificTrap',
      fieldLabel : QDesk.Msg.get( 'QDesk.view.main.message.channel.snmp.SnmpV1TrapBasicPanel.fieldLabelSpecificTrap' ),
      emptyText : QDesk.Msg.get( 'QDesk.view.main.message.channel.snmp.SnmpV1TrapBasicPanel.fieldEmptyTxtSpecificTrap' ),
      value : 1, /* default specific trap value */
      minValue : 1,
      maxValue : 65535,
      anchor : '60%',
      allowBlank : false,
      qdesk : {
        required : true
      }
    },

    {
      xtype : 'fieldset',
      title : QDesk.Msg.get( 'QDesk.view.main.message.channel.snmp.SnmpV1TrapBasicPanel.fieldsetLabelExtraVariables' ),
      padding : '5 0 0 5',
      defaults : {
        labelWidth : 85
      },
      items : [
        {
          xtype : 'numberfield',
          itemId : 'variableMessageTrapCustomType',
          name : 'variableMessageTrapCustomType',
          fieldLabel : QDesk.Msg.get( 'QDesk.view.main.message.channel.snmp.SnmpV1TrapBasicPanel.fieldLabelVariableMessageTrapCustomType' ),
          emptyText : QDesk.Msg.get( 'QDesk.view.main.message.channel.snmp.SnmpV1TrapBasicPanel.fieldEmptyTxtVariableMessageTrapCustomType' ),
          value : 1,
          minValue : 1,
          maxValue : 65535,
          allowBlank : false,
          qdesk : {
            required : true
          }
        }
      ]
    },

    {
      xtype : 'displayfield',
      renderer : function ( value, field )
      {
        var tooltip = Ext.htmlEncode( QDesk.Msg.get( 'QDesk.view.main.message.channel.snmp.SnmpV1TrapBasicPanel.tooltipLinkDownloadMibs' ) );
        return '<a href="files/snmp-mib.zip" class="newWindow" target="_blank" data-qtip="' + tooltip +
            '">' + QDesk.Msg.get( 'QDesk.view.main.message.channel.snmp.SnmpV1TrapBasicPanel.textLinkDownloadMibs' ) +
            '</a>';
      }
    }
  ],


  initComponent : function ()
  {
    var me = this;

    me.callParent();

//    me.down( '#generateMibButton' ).on( 'click', function ()
//    {
//      var messageChannelProfile = me.up( 'SnmpV1TrapProfilePanel' ).createMessageChannelProfile();
//
//      Ext.create( 'QDesk.controller.command.message.channel.snmp.GenerateMib', {
//        maskEl : me.up( 'window' ).getEl(),
//        channel : QDesk.enums.message.MessageChannel.SNMPV1_TRAP,
//        channelConfig : messageChannelProfile.get( 'channelConfig' )
//      } ).execute();
//    } );
  }
} );
