/*
 * Copyright (c) 2011-2014 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.main.settings.notif.NotificationsPanel', {
  extend : 'QDesk.view.main.settings.AppSettingsBasePanel',

  requires : [
    'QDesk.Msg'
  ],

  alias : 'widget.NotificationsPanel',

  items : [
    {
      xtype : 'fieldset',
      fieldDefaults : {
        labelWidth : 100,
        width : 200
      },
      title : QDesk.Msg.get( 'QDesk.view.main.settings.info.InfoPanel.fieldsetLabelInfoMessages' ),
      items : [
        {
          xtype : 'checkboxfield',
          itemId : 'infoBubblesEnabledCheckbox',
          name : 'infoBubblesEnabled',
          boxLabel : QDesk.Msg.get( 'QDesk.view.main.settings.confirm.ConfirmationsPanel.fieldLabelInfoBubblesEnabled' )
        },

        {
          xtype : 'fieldcontainer',
          itemId : 'infoBubblesTimeoutContainer',
          layout : {
            type : 'hbox',
            align : 'left'
          },
          items : [
            {
              xtype : 'numberfield',
              name : 'infoBubblesTimeout',
              fieldLabel : QDesk.Msg.get( 'QDesk.view.main.settings.confirm.ConfirmationsPanel.fieldLabelInfoBubblesTimeout' ),
              minValue : 1,
              maxValue : 20,
              allowBlank : false
            },
            {
              xtype : 'panel',
              border : false,
              height : 22,
              bodyPadding : '3 0 0 5',
              html : QDesk.Msg.get( 'QDesk.seconds' )
            }
          ]
        }
      ]
    }
  ],


  initComponent : function ()
  {
    var me = this;
    me.callParent();

    me.down( '#infoBubblesEnabledCheckbox' ).on( 'change', function ( checkbox, newValue, oldValue )
    {
      me.down( '#infoBubblesTimeoutContainer' ).setDisabled( !newValue )
    } );
  }
} );
